﻿@model ExchangeOrderViewModel
@{
    var cards = new List<string>();
    if (ViewBag.Cards != null)
    {
        cards = (List<string>)ViewBag.Cards;
    }
}

<strong><span class="fa fa-bank"></span> انتخاب درگاه پرداخت</strong>
<p style="color:#ff6a00;">قابل پرداخت با کلیه کارت های بانکی عضو شبکه شتاب</p>

<div class="row text-center">
    <div class="push-md-2 col-md-8 col-sm-12">
        <div class="row">
            @*@foreach (BankGatewayType type in Enum.GetValues(typeof(BankGatewayType)))
                {
                    <div class="col-6 bank-select">
                        <a href="#" onclick="paymentGateway('@type.ToDisplay()', this); return false;" data-id="@type.ToInt()">
                            <img src="~/Content/img/لوگو-@(type.ToDisplay(DisplayProperty.GroupName)).png" alt="@type.ToDisplay()" />
                        </a>
                    </div>
                }*@
            @*<div class="col-12">
                    <small style="color:red">درگاه بانک سامان موقتا قطع می باشد، از درگاه بانک ملت استفاده نمایید.</small>
                </div>*@
        </div>

        @if (cards != null & cards.Count > 0)
        {
            <p>فقط با کارت های ثبت و تایید شده که در زیر آمده می توانید خرید کنید. در صورتی که با کارت دیگری پرداخت نمایید سفارش شما انجام نخواهد شد.</p>
            <ul class="list-unstyled list-group">
                @foreach (var item in cards)
                {
                    <li class="list-group-item">@item</li>
                }
            </ul>
            <small>همچنین می توانید در صورت نیاز از <a href="@Url.Action("BankCards", "Account")" target="_blank">اینجا</a> کارت جدید خود را اضافه نمایید</small>
        }

        @*@if (!Model.Exchange.ToCurrencyIsFiat)
        {
            <h4>کاربر گرامی، کیف پول وب سایت موقتا در حال به روز رسانی می باشد، در صورت خرید انتقال کوین خریداری شده با تاخیر انجام می شود. لطفا با توجه به این شرایط خرید خود را انجام دهید.</h4>
        }اا*@
        <a id="doBankPaymentBtn" href="#" onclick="doBankPayment(); return false;" class="btn btn-lead btn-lg btn-block">ورود به درگاه پرداخت</a>
    </div>
</div>
